# Class DiscoveryTest

java.lang.Object
de.javawi.jstun.test.DiscoveryTest

public class DiscoveryTest extends Object

## Constructor Summary

Constructors
Constructor
Description
`DiscoveryTest(InetAddress iaddress, String stunServer, int port)`

## Method Summary

Modifier and Type
Method
Description
`DiscoveryInfo`
`test()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiscoveryTest

public DiscoveryTest(InetAddress iaddress, String stunServer, int port)

## Method Details

### test

public DiscoveryInfo test() throws UtilityException, SocketException, UnknownHostException, IOException, MessageAttributeParsingException, MessageAttributeException, MessageHeaderParsingException

Throws:
  `UtilityException`
  `SocketException`
  `UnknownHostException`
  `IOException`
  `MessageAttributeParsingException`
  `MessageAttributeException`
  `MessageHeaderParsingException`